Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.launcher.types
Class JVMArgumentSet

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.commons.launcher.types.ConditionalArgumentSet
                        |
                        +--org.apache.commons.launcher.types.JVMArgumentSet

public class JVMArgumentSet
extends ConditionalArgumentSet

A class that represents a set of nested elements.

Author:
  Patrick Luby

Field Summary
`static java.lang.String` | `TYPE_NAME` The name of this data type.

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JVMArgumentSet()`

Method Summary
`void` | `addJvmarg(ConditionalArgument argument)` Add a `ConditionalArgument`.
`void` | `addJvmargset(JVMArgumentSet set)` Add a `JVMArgumentSet`.

Methods inherited from class org.apache.commons.launcher.types.ConditionalArgumentSet
`addConditionalargument, addConditionalargumentset, getList, setRefid`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_NAME

    public static final java.lang.String TYPE_NAME

  The name of this data type.

  See Also:
    Constant Field Values

Constructor Detail

### JVMArgumentSet

    public JVMArgumentSet()

Method Detail

### addJvmarg

    public void addJvmarg(ConditionalArgument argument)

  Add a `ConditionalArgument`.

  Parameters:
    `argument` - the `ConditionalArgument` to be added

### addJvmargset

    public void addJvmargset(JVMArgumentSet set)

  Add a `JVMArgumentSet`.

  Parameters:
    `set` - the `JVMArgumentSet` to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2002 - Apache Software Foundation